html, body {
    margin: 0;
    padding: 0;
}

.animated{
    width: 100%;
    margin-left: auto;
    margin-right: auto;
    margin-top: -4vh;
    background: rgba(0, 0, 0, 1);
}

#animated {
    margin-left: 10em;
    width: 75%;
    height: auto;
    /*max-height: 94vh;*/
    background-color: black;
}

.animated-cat{
    width: 100%;
    margin-left: auto;
    margin-right: auto;
    margin-top: -4vh;
    background: white;
    /*background: rgba(0, 0, 0, 1);*/
}

#animated-cat{
    margin-left: auto;
    margin-right: auto;
    width: 100%;
    height: auto;
    max-height: 93vh;
    background-color: white;
}

.nav-banner{
    width: 100%;
    height: 8vh;
}

#banner-home{
    margin-top: -1vh;
    margin-bottom: 5vh;
    width: 100%;
    height: 100vh;
}

.banner-navbar{
    display: flex;
    width: 100%;
    height: 8vh;
    justify-content: space-between;
    background-color: white;
    border: none;
}

.banner-navbar>nav{
    font-size: 1.4em;
    font-family: 'El Messiri', sans-serif;
    background-color: white;
    width: 100%;
    height: 7vh;
    text-decoration: none;

}

.rounded-text-image{
    width: 47em;
    height: auto;
    margin-left: 0em;
    margin-top: 4em;
    opacity: .8;
    background: transparent;
    border-radius: 50%;
    -moz-box-shadow: 8px 8px 8px gray;
    -webkit-box-shadow: 8px 8px 8px gray;
    box-shadow: 8px 8px 8px gray;
}

.rounded-text-text{
    font-size: 1.8em;
    margin-left: 1em;
    font-family: 'El Messiri', sans-serif;
    background: rgba(251,217,225, 0.65);
    height: 30em;
    -moz-box-shadow: 8px 8px 8px gray;
    -webkit-box-shadow: 8px 8px 8px gray;
    box-shadow: 8px 8px 8px gray;
    /*border-radius: 0.5rem;*/
}

#rounded-text-para{
    margin-left: 13em;
    margin-right: 3em;
}

#hidden-rounded-btn{
    display: block;
    margin-left: auto;
    margin-right: auto;
    margin-top: -0.1em;
    font-size: 1em;
}

#btn-in-hidden-div{
    display: flex;
    margin-left: auto;
    margin-right: auto;
    margin-top: 1.8em;
    margin-bottom: 1.5em;
    font-size: 1em;
}

#visible-on-mobile{
    display: none;
    width: 68.3%;
    margin-left: 13.56em;
    margin-top: 0.5em;
    margin-bottom: 2.5em;
    padding: 1em;
    font-family: 'El Messiri', sans-serif;
    background: rgba(251,217,225, 0.65);
    /*border-radius: 0.5rem;*/
    font-size: 1.8em;

    -moz-box-shadow: 8px 8px 8px gray;
    -webkit-box-shadow: 8px 8px 8px gray;
    box-shadow: 8px 8px 8px gray;
}

/*
send us msg
 */

#contact-wrapper{
    margin-left: 1em;
    margin-bottom: 15em;
    font-family: 'El Messiri', sans-serif;
    background: rgba(251,217,225, 0.65);
    -moz-box-shadow: 2px 2px 8px 8px gray;
    -webkit-box-shadow: 2px 2px 8px 8px gray;
    box-shadow: 2px 2px 8px 8px gray;
    border-radius: 0.5rem;
    min-height: 65em;
}

/*.send-us-msg-image{*/
/*    position: relative;*/
/*    !*margin-top: -5em;*!*/
/*    width: 100%;*/
/*    min-height: 100vh;*/
/*}*/

.send-us-msg-wrapper{
    font-family: 'El Messiri', sans-serif;
    padding: 4em;
}

.msg-title{
    font-size: 3em;
    color: black;
    text-transform: uppercase;
    margin: 0.5em;
}
.msg-body{
    font-size: 1.5em;
    color: black;
}

.msg-title, .msg-body{
    font-weight: bolder;
}

#desc-contact{
    display: block;
}

#mobile-one-contact, #mobile-two-contact{
    display: none;
}

.send-us-form-wrapper{
    min-height: 30vh;
}

.send-us-msg-form{
    display: block;
    margin-top: 2em;
}

.send-us-msg-btn{
    width: 7em;
    height: 2.3em;
    margin-bottom: auto;
    margin-top: auto;
    text-align: center;
    /*!*padding-top: 0.9em;*!*/
    /*padding-bottom: 0.8em;*/
    font-size: 1.5em;
    margin-left: -3em;
    background: deeppink;
    color: white;
    text-transform: uppercase;
    border-radius: 0.5rem;
}

input[type="email"]{
    width: 20em;
    line-height: 2.6em;
    border-radius: 0.5rem;
}

.send-us-msg-form>textarea{
    width: 26em;
    border-radius: 0.5rem;
    height: 10em;
}

.contact-us-wrapper{
    width: 40%;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 5em;
}

.contact-us-wrapper>div{
    margin: 2em;
}

.contact-images{
    width: 3em;
}

.contact-text{
    color: black;
    font-family: 'El Messiri', sans-serif;
    font-size: 1.2em;
}

.contact-us-strong{
    font-family: 'El Messiri', sans-serif;
    font-size: 3em;
    color: black;
    text-transform: uppercase;
    margin-bottom: 5em;
}



/*#navbar-three {*/
/*    border-width: 0px;*/
/*    -webkit-box-shadow: 0px 0px;*/
/*    box-shadow: 0px 0px;*/
/*    background-color: rgba(0,0,0,0.0);*/
/*    background-image: -webkit-gradient(linear, 50.00% 0.00%, 50.00% 100.00%, color-stop( 0% , rgba(0,0,0,0.00)),color-stop( 100% , rgba(0,0,0,0.00)));*/
/*    background-image: -webkit-linear-gradient(270deg,rgba(0,0,0,0.00) 0%,rgba(0,0,0,0.00) 100%);*/
/*    background-image: linear-gradient(180deg,rgba(0,0,0,0.00) 0%,rgba(0,0,0,0.00) 100%);*/
/*}*/

nav>div{
}

.banner-navlink{
    text-transform: uppercase;
    text-decoration: none;
    color: black;
}

#banner-ul{
    margin-top: auto;
    margin-bottom: auto;
}

/*
Cart
 */
#banner-right-section-nav{
    display: flex;
    width: 25%;
    color: black;
    justify-content: center;
    font-family: 'El Messiri', sans-serif;
    margin-right: -3em;
}

#banner-right-section{
    display: none;
}

.banner-lang-swap{
    font-size: 0.7em;
    margin-bottom: auto;
}

#banner-lang-swap-mobile{
    display: none;
}

.banner-cart-wrapper{
    margin-top: auto;
    margin-bottom: auto;
    margin-right: 0.2em;
}

.banner-image-cart {
    width: 1.8em;
    height: 1.8em;
}

.banner-image-cart-span{
    position: absolute;
    background-color: green;
    margin-top: -3.5em;
    margin-left: 2.7em;
    color: antiquewhite;
    width: 1.2em;
    height: 1.2em;
    border-radius: 50%;
    font-size: 0.5em;
    text-decoration: none;
    text-align: center;

}

.banner-span-wrapper{
    display: flex;
    font-size: 0.55em;
    margin-top: auto;
}

.banner-cart-div{
    /*margin-left: 0.5em;*/
    margin-right: auto;
    margin-left: auto;
}

.banner-cart-orders{
    font-size: 0.7em;
    font-weight: bolder;
    margin-top: auto;
}

.banner-search-form{
    display: flex;
}

.banner-search-wrapper{
    display: flex;
    margin-top: auto;
    margin-bottom: auto;
    border: none;
    background: white;
}

.banner-search-input{
    display: none;
    margin-top: 0.5em;
    width: 200px;
}

.banner-image-search {
    margin-top: auto;
    width: 1.8em;
    height: 1.8em;
}

.banner-search-wrapper:hover .banner-search-input{
    display: flex;
}

.banner-search-wrapper:hover .banner-span-wrapper{
    display: none;
}




/*
end of cart
 */


.banner-image-1{
    position: relative;
    height: 100vh;
    width: 100%;
    opacity: 1;
    animation: imageOne 10s ease-in-out;
    /*animation: imageOne 12s ease-in-out;*/
    animation-iteration-count: infinite;
}

.banner-image-2{
    position: relative;
    margin-top: -105vh;
    height: 100vh;
    width: 100%;
    opacity: 0;
    animation: imageTwo 10s ease-in-out;
    /*animation: imageTwo 7.5s ease-in-out 4.5s;*/
    animation-iteration-count: infinite;
}

.banner-image-3{
    position: relative;
    margin-top: -111vh;
    height: 100vh;
    width: 100%;
    opacity: 0;
    animation: imageThree 10s ease-in-out;
    /*animation: imageThree 5s ease-in-out 7s;*/
    animation-iteration-count: infinite;
}

.banner-text{
    position: absolute;
    text-align: center;
    font-size: 2.5em;
    font-family: 'El Messiri', sans-serif;
    color: #0077b6;
    margin: -50vh -50vw;
    width: 45%;
    opacity: 0;
    animation: text 10s ease-in-out;
    /*animation: text 6.5s ease-in-out 4.5s;*/
    animation-iteration-count: infinite;
}

@keyframes imageOne {
    0%{
        opacity: 1;
    }

    50%{
        opacity: 0;
    }

    100%{
        opacity: 1;
    }
}

@keyframes imageTwo {
    0%{
        opacity: 0;
    }

    20%{
        opacity: 0;
    }

    50%{
        opacity: 1;
    }

    70%{
        opacity: 0;
    }


    100%{
        opacity: 0;
    }
}

@keyframes imageThree {
    0%{
        opacity: 0;
    }

    50%{
        opacity: 0;
    }

    70%{
        opacity: 1;
    }

    100%{
        opacity: 0;
    }
}

@keyframes text {
    0%{
        opacity: 0;
        font-size: 0em;
        color: #00b4d8;
        margin: -50vh -50vw;
    }

    30%{
        opacity: 0;
    }

    60%{
        opacity: 1;
        font-size: 2.5em;
        color: #0077b6;
        margin: -50vh -50vw;
    }

    80%{
        opacity: 0;
        margin: -50vh -50vw;
    }
}


@media (max-width: 990px) {
    #home-product-top{
        width: 100%;
        height: 100vh;
        /*background-color: #F0F0F0;*/
    }

    #home-product-bot{
        display: none;
    }

    #wrapper{
        margin-top: -5em;
    }

    #content-wrapper{
        margin-top: -3em;
    }

    .home-image {
        margin-top: 0.1em;
        width: 7em;
        height: 5.2em;
        margin-left: auto;
        margin-right: auto;
        margin-bottom: 1em;
    }

    .contact-us-wrapper{
        width: 100%;
        margin-left: auto;
        margin-right: auto;
        margin-bottom: 5em;
    }

    .contact-us-wrapper>div{
        margin: 2em;
    }

    .contact-images{
        width: 2em;
        margin: 1.2em;

    }

    .contact-text{
        color: black;
        font-family: 'El Messiri', sans-serif;
        font-size: 0.9em;
    }

    .contact-us-strong{
        font-family: 'El Messiri', sans-serif;
        font-size: 1.4em;
        color: black;
        text-transform: uppercase;
        margin-bottom: 2em;
    }
}


@media (max-width: 801px) {
    html, body{
        margin: 0;
        padding: 0;
    }

    .animated{
        width: 94%;
        margin-top: -4vh;
        background: rgba(0, 0, 0, 1);
    }
    #animated {
        margin-left: 0;
        width: 100%;
        height: auto;
        background-color: black;
    }

    .animated-cat{
        width: 94%;
        margin-top: -4vh;
        background: white;
        /*background: rgba(0, 0, 0, 1);*/
    }
    #animated-cat {
        margin-left: 0;
        width: 100%;
        height: auto;
        background: white;
        /*background-color: black;*/
    }

    #banner-home{
        margin-top: -5vh;
        margin-bottom: 10vh;
        height: 60vh;
        width: 100%;
    }

    .banner-image-1{
        position: relative;
        width: 100%;
        height: 45vh;
        margin-top: 20vh;
        opacity: 1;
        animation: imageOne 10s ease-in-out;
        /*animation: imageOne 12s ease-in-out;*/
        animation-iteration-count: infinite;
    }

    .banner-image-2{
        position: relative;
        width: 100%;
        height: 45vh;
        margin-top: -50vh;
        opacity: 0;
        animation: imageTwo 10s ease-in-out;
        /*animation: imageTwo 7.5s ease-in-out 4.5s;*/
        animation-iteration-count: infinite;
    }

    .banner-image-3{
        position: relative;
        margin-top: -55vh;
        height: 45vh;
        width: 100%;
        opacity: 0;
        animation: imageThree 10s ease-in-out;
        /*animation: imageThree 5s ease-in-out 7s;*/
        animation-iteration-count: infinite;
    }

    .banner-text{
        position: absolute;
        text-align: center;
        font-size: 1.5em;
        font-family: 'El Messiri', sans-serif;
        color: #0077b6;
        margin: auto;
        width: 45%;
        opacity: 0;
        animation: text 10s ease-in-out;
        /*animation: text 6.5s ease-in-out 4.5s;*/
        animation-iteration-count: infinite;
    }

    .mobile-types{
        margin-left: -0.495em;
    }

    #banner-lang-swap-mobile{
        display: block;
        margin-left: -0.195em;
        font-size: 1em;
    }

    .banner-lang-swap{
        display: none;
    }

    @keyframes text {
        0%{
            opacity: 0;
            font-size: 0em;
            color: #00b4d8;
            margin: -50vh -50vw;
        }

        30%{
            opacity: 0;
        }

        60%{
            opacity: 1;
            font-size: 1.5em;
            color: #0077b6;
            margin: -30vh -50vw;
        }

        80%{
            opacity: 0;
            margin: -30vh -50vw;
        }
    }


    .banner-navbar{
        display: flex;
        width: 100%;
        height: 10vh;
        justify-content: space-between;
        border: none;
    }

    .banner-navbar>nav{
        font-size: 1.9em;
        font-family: 'El Messiri', sans-serif;
        width: 100%;
        height: 10vh;
        text-decoration: none;

    }

    .banner-navlink{
        font-size: 1.9em;
        text-transform: uppercase;
        text-decoration: none;
        color: black;
    }


    #banner-right-section-nav{
        display: none;
    }

    #banner-right-section{
        display: block;
        width: 10%;
        justify-content: space-between;
        margin-left: 0;
        font-family: 'El Messiri', sans-serif;
    }

    .banner-cart-wrapper{
        margin-top: 1em;
        margin-right: 1em;
    }

    .banner-image-cart {
        width: 1.5em;
        height: 1.5em;
    }

    .banner-image-cart-span{
        position: absolute;
        background-color: green;
        margin-top: -3em;
        margin-left: 2em;
        color: antiquewhite;
        width: 1.1em;
        height: 1.1em;
        border-radius: 50%;
        font-size: 0.6em;
        text-decoration: none;
        text-align: center;

    }

    .banner-span-wrapper{
        display: none;
        font-size: 0.7em;
    }

    .banner-cart-div{
        margin-left: 1em;
        margin-right: 0;
    }

    .banner-cart-orders{
        display: none;
        font-size: 0.5em;
        font-weight: bolder;
        margin-top: 0;
    }

    .banner-search-wrapper{
        margin-top: 0.2em;
    }

    .banner-search-form{
        display: none;
    }

    .banner-image-search {
        margin-top: auto;
        width: 1.3em;
        height: 1.3em;
    }

    .banner-search-input{
        position: absolute;
        margin-top: 0.1em;
        width: 200px;
        margin-left: -15em;
    }

    .banner-search-wrapper:hover .banner-search-form, .banner-search-wrapper:focus .banner-search-form{
        display: flex;
        margin-left: -2em;
    }

    .banner-search-wrapper:hover #mobile-button, .banner-search-wrapper:focus .banner-search-form{
       position: absolute;
    }

    .banner-search-wrapper:hover #banner-image-search-to-hide, .banner-search-wrapper:focus .banner-search-form{
        display: none;
    }

    #home-product-top{
        width: 100%;
        /*background-color: #F0F0F0;*/
    }

    #home-product-bot{
       display: none;
    }

    .rounded-text-image{
        width: 11em;
        height: auto;
        margin-left: 1em;
        margin-top: 1em;
        opacity: .8;
        background: transparent;
        border-radius: 50%;
    }

    .rounded-text-text{
        font-size: 0.7em;
        width: 70%;
        margin-left: 0.2em;
        font-family: 'El Messiri', sans-serif;
        height: 25em;
    }

    #rounded-text-para{
        margin-left: 5em;
        margin-right: 1.5em;
        border-radius: 0;

    }

    #hidden-rounded-btn{
        margin-top: -1em;
        font-size: 0.5em;
    }

    #btn-in-hidden-div{
        font-size: 0.5em;
    }

    #visible-on-mobile{
        width: 59.5%;
        margin-left: 13.26em;
        margin-top: 1.5em;
        margin-bottom: 2.5em;
        padding: 1em;
        font-size: 0.7em;
    }

    #hidden-rounded-para{
        display: none;
    }

    #contact-wrapper{
        width: 90%;
        margin-left: auto;
        margin-right: auto;
        min-height: 110vh;
    }

    .send-us-msg-wrapper{
        padding: 0;
    }

    .msg-title{
        font-size: 1.4em;
        color: black;
        text-transform: uppercase;
        margin-top: 0.5em;
        margin-bottom: 0.5em;
        padding-top: 1em;
    }

    .msg-body{
        margin-right: 1em;
        margin-left: 1em;
        margin-top: -1em;
        font-size: 0.69em;
        color: black;
    }

    #desc-contact{
        display: none;
    }

    #mobile-one-contact, #mobile-two-contact, #mobile-three-contact{
        display: block;
    }

    #span-fb, #span-insta{
        display: none;
    }

    .send-us-msg-btn{
        width: 6em;
        height: 2em;
        font-size: 1em;
        margin-left: -3em;
    }

    input[type="email"]{
        width: 8em;
        line-height: 1.6em;
    }

    .send-us-msg-form>textarea{
        width: 13em;
        height: 10em;
    }

    .send-us-msg-image{
        min-height: 55vh;
    }

}

